package internal

import "log"

func AssertFail(condition bool, fmtStr string, params ...interface{}) {
	if condition {
		log.Panicf(fmtStr, params...)
	}
}

func Assert(condition bool, fmtStr string, params ...interface{}) bool {
	if condition {
		log.Printf(fmtStr, params...)
	}

	return condition
}
