package main

import (
	"github.com/adamveld12/gopherhole/internal"
)

type StartupConfig struct {
	DatabaseURL string          `json:"database"`
	CacheURL    string          `json:"cache"`
	HTTPAddr    string          `json:"http-addr"`
	DNSAddr     string          `json:"dns-addr"`
	Recursors   []string        `json:"recursors"`
	Rules       []internal.Rule `json:"rules"`
}
